# PCASMSetType

Sets the type of restriction and interpolation used for local problems in the additive Schwarz method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCASMSetType(PC pc,PCASMType type)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - variant of ASM, one of

          PC_ASM_BASIC       - full interpolation and restriction
          PC_ASM_RESTRICT    - full restriction, local processor interpolation
          PC_ASM_INTERPOLATE - full interpolation, local processor restriction
          PC_ASM_NONE        - local processor restriction and interpolation

### Options Database Key

-pc_asm_type [basic,restrict,interpolate,none] -Sets ASM type

### Keywords

PC, ASM, set, type

### See Also

PCASMSetTotalSubdomains(), PCASMSetTotalSubdomains(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D()

Level:intermediate
Location: src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages